Dynamo tạo Rebar as Solid trong Revit

Như các bạn đã biết, việc điều chỉnh chế độ cốt thép dạng View as solid và View unobscured trong Revit mất khá nhiều thời gian. Bạn phải chọn toàn bộ cốt thép, sau đó chọn tính năng View Visibility States ở bảng Properties trước tiên.View as solid trong Revit

Giờ thì chúng ta sẽ sử dụng Dynamo như 1 công cụ hỗ trợ nhanh chóng cho vấn đề này, giúp các Reviter tạo mô hình 3D cốt thép trong Revit một cách hoàn chỉnh hơn.

Một số bước cần thực hiện như sau:

  1. Kích hoạt khung nhìn 3D có chứa mô hình bê tông cốt thép.
  2. Vào Manage\Dynamo và khởi tạo file mới.
  3. Tạo các nút như hình vẽ dưới đây:

Trong đó: tạo 1 nút Python script (đổi tên là View as solid) và thêm 1 đầu IN[1]

4. Sử dụng mã Python sau đây:

import clr
#Import RevitAPI for Rebar Control
clr.AddReference(‘RevitAPI’)
from Autodesk.Revit.DB import *
from Autodesk.Revit.DB.Structure import *
 
clr.AddReference(“System”)
from System.Collections.Generic import List
 
# Import RevitNodes
clr.AddReference(‘RevitNodes’)
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.Elements)
 
clr.AddReference(‘RevitServices’)
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
 
doc = DocumentManager.Instance.CurrentDBDocument
 
#Assign Inputs and Output
rebarElements = UnwrapElement(IN[0])
views = UnwrapElement(IN[1])
 
#Change rebar Visibility
TransactionManager.Instance.EnsureInTransaction(doc)
for view in views:
    for rebarElement in rebarElements:
         rebarElement.SetUnobscuredInView(view,1)
         rebarElement.SetSolidInView(view,1)
TransactionManager.Instance.TransactionTaskDone()
 
OUT = rebarElements

Như vậy ta đã hoàn thành quá trình sử dụng Dynamo tạo Rebar as solid trong Revit.

/.Admin

congnghebim.vn

News for BIM Technology in Civil Engineering

You may also like...

Leave a Reply

Your email address will not be published. Required fields are marked *